org.encog.mathutil

## Class NumericRange

- java.lang.Object
- - org.encog.mathutil.NumericRange

-     public class NumericRange
      extends Object

  A numeric range has a high, low, mean, root-mean-square, standard deviation, and the count of how many samples it contains.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FIVE` Display to five decimal places.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumericRange(List<Double> values)` Create a numeric range from a list of values.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getHigh()`
    `double` | `getLow()`
    `double` | `getMean()`
    `double` | `getRms()`
    `int` | `getSamples()`
    `double` | `getStandardDeviation()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FIVE

          public static final int FIVE

      Display to five decimal places.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NumericRange

          public NumericRange(List<Double> values)

      Create a numeric range from a list of values.
      Parameters:
        `values` - The values to calculate for.

  - ### Method Detail

    - #### getHigh

          public final double getHigh()

      Returns:
        The high number in the range.

    - #### getLow

          public final double getLow()

      Returns:
        The low number in the range.

    - #### getMean

          public final double getMean()

      Returns:
        The mean in the range.

    - #### getRms

          public final double getRms()

      Returns:
        The root mean square of the range.

    - #### getSamples

          public final int getSamples()

      Returns:
        The number of samples in the range.

    - #### getStandardDeviation

          public final double getStandardDeviation()

      Returns:
        The standard deviation of the range.

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.